##### 1. Mostre que lg (n!) ≥ (n/4) lg n para n ≥ 4 sem usar a formula de Stirling.

Vamos utilzar que 
$$2 lg \space (n!) \geq (n/2) lg \space n$$
e lebrem que
$$ 2 lg \space (n!) = lg \space (n!^2) = lg \space(\prod\_{i=0}^{n-1} (n-i) \cdot (i+1)) $$
$$ (n-i) \cdot (i+1) = ni+n-i^2-i$$

Se realizarmos primeira derivada dessa função em $i$ e igualarmos a 0, vamos obter que $n-2i-1 = 0$. Resolvendo essa equaçao e sabendo que a parábola da equação de segundo grau é voltada para baixo, descobrimos que o ponto máximo dessa equação é em $i = \frac{n-1}{2}$. Veja que $i \in [0, n-1]$, calculando o valor da equação nos tremos chegamos a $n$ em ambos o caso. Portanto como o máximo está entre os extremos e nelas o valor é $n$, podemos concluir que,

$$ (n-i) \cdot (i+1) \geq n $$

Usando isso,

$$ 2 lg \space (n!) \geq  2 lg \space (\prod\_{i=0}^{n-1} n) = 2 lg \space (n^n) = 2 n lg \space (n)$$


Vamos provar por indução. No caso base, $n = 4$,
$$lg \space (4!) \geq (4/4) lg \space 4$$
$$lg \space (24) ≥ 1 \cdot 2$$
$$lg \space (24) ≥ 2$$
como $lg \space (24) \geq lg \space (4) = 2$ é verdade a base.

Hipótese: lg 1 + lg 2 + lg 3 + ... + lg n ≥ (n/4) lg n => 

